Dsr Compliance - Get Flow Run Actions With Environment
Get flow run actions for DSR export (environment-scoped).
Returns action history for a flow run in an environment.
GET https://api.powerplatform.com/workflowsagent/environments/{environmentId}/aiFlows/{aiFlowId}/runs/{runId}/actions?api-version=2022-03-01-preview
GET https://api.powerplatform.com/workflowsagent/environments/{environmentId}/aiFlows/{aiFlowId}/runs/{runId}/actions?continuationToken={continuationToken}&api-version=2022-03-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
ai
|
path | True |
string |
The workflow ID. |
|
environment
|
path | True |
string |
The environment ID. |
|
run
|
path | True |
string |
The run ID. |
|
api-version
|
query | True |
string |
The API version. |
|
continuation
|
query |
integer (int64) |
Byte offset continuation token for paging. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successful request. Flow run action history returned. Headers Retry-After: string |
|
| 401 Unauthorized |
Unauthorized. |
|
| 403 Forbidden |
Forbidden. User does not have read access to the flow run. |
|
| 404 Not Found |
Not found. Feature is not enabled for this environment. |
|
| 500 Internal Server Error |
Internal server error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Dsr |
Action event data for a single flow run. |
|
Dsr |
Response containing flow run action history for DSR export. |
DsrFlowRunData
Action event data for a single flow run.
| Name | Type | Description |
|---|---|---|
| actionEvents |
Action |
List of action events in the run. |
| runId |
string |
The run ID. |
DsrFlowRunsResponse
Response containing flow run action history for DSR export.
| Name | Type | Description |
|---|---|---|
| flowId |
string |
The workflow ID. |
| nextLink |
string |
URL to retrieve the next page of results, if available. |
| value |
List of flow run data entries. |